// ReadFileTest.cpp : Defines the entry point for the console application.
//

#define _CRT_SECURE_NO_WARNINGS

/**
 * @file file.c
 * This is the main file program start point.
 */
#include <stdio.h>
#include <propeller.h>

extern _Driver _SimpleSerialDriver;
extern _Driver _FileDriver;

/* This is a list of all drivers we can use in the
 * program. The default _InitIO function opens stdin,
 * stdout, and stderr based on the first driver in
 * the list (the null driver in this case).
 */
_Driver *_driverlist[] = {
  &_SimpleSerialDriver,
  &_FileDriver,  // file driver must always be last on the list before NULL
  NULL
};

void createFile(const char *buffer)
{
    FILE *fp = fopen("test.txt", "w");
    if(*buffer && fp) {
        printf("Writing '%s' to test.txt.\n", buffer);
        fwrite(buffer, sizeof(char), sizeof(buffer), fp);
        fclose(fp);
    }
}

int main()
{
    // delay for stdio printf startup
    waitcnt(CLKFREQ+CNT); 
    createFile("3.14");    

    FILE* _file = fopen("test.txt", "r");

    if (_file == NULL)
    {
        return -1;
    }

    while (!feof(_file))
    {
        double f;
        if (!fscanf(_file, "%f", &f))
        {
            printf("EOF\n");
            break;
        }
        printf("%f\n", f);
    }

    getchar();

    return 0;
}

